Показано с 1 по 4 из 4

Тема: Как прописать эмулятор в Fantacy Panel(+)

  1. #1
    Senior Member
    Регистрация
    05.05.2007
    Сообщений
    106

    Как прописать эмулятор в Fantacy Panel(+)

    Sezam 8000, прошивка FT 2.16a. Хочу поставить Evocamd. Если это уже обсуждалось, дайте линк, pls.

  2. #2
    Senior Member
    Регистрация
    05.05.2007
    Сообщений
    106

    Re: Как прописать эмулятор в Fantacy Panel(+)

    Ответьте кто - нибудь - как прописывать эмуляторы, которых нет в Fantacy Panel в эту самую панель, чтобы можно было вручную запускать эмуляторы. Понимаю. что наверное надо допольнительный скрипт в панель записывать, но наверное есть готовые?

  3. #3
    Senior Member
    Регистрация
    13.12.2006
    Сообщений
    2,320

    Re: Как прописать эмулятор в Fantacy Panel(+)

    1) Для фантаситим в файлике /var/scripts/emud_plugin.txt написать строку, для этого эмуля.
    Для хайланда прописать в файлике /var/scripts/menulist.txt
    Содержимое файлика будет например такое:


    1. MGCamd+NewCS
    2. Evocamd
    3. Stop ALL EMU


    2) Закинуть Evocamd в папку /var/emu
    3) Создать скрипт. В нашем случае menu2.sh и закинуть его в /var/scripts
    Содержимое скрипта где-то такое:

    Это для Highland-софтов

    #!/bin/sh
    /var/scripts/STOP_ALL_EMU
    /var/emu/evocamd
    echo "evocamd started";
    rm -f /var/bin/init.d/4.1.sh
    ln -s /var/scripts/menu2.sh /var/bin/init.d/4.1.sh


    Для фантаситим 2.13а - в этом софте
    скрипта STOP_ALL_EMU нет, то будет такое:


    #!/bin/sh
    killall CCcam
    killall capmtserver
    killall newcs mgcamd evocamd cardspider cs2gbox gb
    sleep 1
    /var/emu/evocamd
    echo "evocamd started";
    rm -f /var/bin/init.d/4.1.sh
    ln -s /var/scripts/menu2.sh /var/bin/init.d/4.1.sh


    ПС Не забываем вновь созданным файлам выставлять нужные атрибуты

  4. #4
    Senior Member
    Регистрация
    05.05.2007
    Сообщений
    106

    Re: Как прописать эмулятор в Fantacy Panel(+)

    У меня FT 2.16 - все аналогично в скриптах, или есть отличия? Кстати, я заметил, что народ из прошивок FT предпочитает версию 2.9, вероятно по причине ее двухтюнерности, я ставил ее, но она просит базу версии 1.15, а у меня 1.18 - как сконвертировать базу в нужную версию?

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •